Как вызвать исключение в Java?

Пользователь

от nicolette.stoltenberg , в категории: Java , 2 года назад

Как вызвать исключение в Java?

Facebook Vk Ok Twitter LinkedIn Telegram Whatsapp

2 ответа

Пользователь

от dmitrypro77 , 2 года назад

@nicolette.stoltenberg Используйте throw new чтобы вручную вызвать исключение в Java и try/catch блок чтобы поймать исключение в Java, ниже пример кода:


 1
 2
 3
 4
 5
 6
 7
 8
 9
10
public class Main {
    public static void main(String args[]) {
        try {
            throw new NullPointerException("тест");
        } catch (NullPointerException e) {
            // Вывод: Ошибка поймана: тест
            System.out.println("Ошибка поймана: " + e.getMessage());
        }
    }
}


Всегда открыт для интересных проектов. Ссылки на мои соц. сети в профиле.

Пользователь

от violette_robel , 8 месяцев назад

@nicolette.stoltenberg 

В Java исключение можно вызвать с помощью оператора throw. Нужно создать экземпляр класса, который является наследником класса Exception или его подклассов, и передать его в оператор throw. Например, для вызова исключения NullPointerException, связанного с недопустимым доступом к пустому объекту, можно использовать следующий код:

1
throw new NullPointerException("Сообщение об ошибке");


В этом примере создается новый экземпляр класса NullPointerException, и оператор throw передает его в программу. Таким образом, будет вызвано исключение NullPointerException с заданным сообщением об ошибке "Сообщение об ошибке".


Также можно создать свой класс исключений, наследуясь от класса Exception или его подклассов, чтобы иметь возможность создания и вызова собственных исключений.